use warnings;
use strict;
use Test::More;

use POWER::Event::Epoll qw( :event );

my @exports
    = qw( Epoll_wait )
    ;
my @not_exports
    = qw( Epoll_add Epoll_del )
    ;

plan +(@exports + @not_exports)
    ? ( tests       => @exports + @not_exports                  )
    : ( skip_all    => q{This module doesn't export anything}   )
    ;

for my $export (@exports) {
    can_ok( __PACKAGE__, $export );
}

for my $not_export (@not_exports) {
    ok( ! __PACKAGE__->can($not_export) );
}
